[WMDE-Fundraising] Show Donation Confirmation
Closed, ResolvedPublic15 Story Points

Description

This use case is for external payment providers like paypal. When the user is finished paying there, he should be redirected back to the confirmation page.

GET request
Request params:

  • Donation ID
  • Access Token (to avoid leaking personal info when a user just tries out different donation IDs)

When the donation ID with the matching access token is found, display the same confirmation page template as in the "Add donation" use case, with the same response model (minus the error state).

JeroenDeDauw renamed this task from [WMDE-Fundraising] Show Confirmation page to [WMDE-Fundraising] Show Donation Confirmation.Mar 18 2016, 2:21 PM
JeroenDeDauw updated the task description. (Show Details)
JeroenDeDauw added a comment.EditedMar 19 2016, 10:40 AM

Actually, does the response model need to contain the update token? The client already has it by this point no?

Edit: finished the UC: response model contains Donation or "access denied"

Tobi_WMDE_SW closed this task as Resolved.Apr 7 2017, 11:26 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:26 AM